Invoice or receipt number of the received expense, formatted in string. Accepts alpha numeric characters and '-' symbol.
POST
/v1/expense
Needs an API key with the write scope.
Parameters
-
descriptionstring RequiredDescription of the expense. This will also be its title in the Nuvio Platform.
-
expenseDatestring RequiredThe date of the expense. Should be formatted in
YYYY-MM-DDformat -
dueDatestring RequiredDue date of the payment for this expense. Should be formatted in
YYYY-MM-DDformat. -
itemsarray of objects RequiredList of the items that are linked to this expense.
Show child parameters Hide child parameters
-
itemDetailstring RequiredDescription of the item. Should be a string.
-
productIdstring32-character unique ID of the product. If you don't know the ID, you can also provide
productCodeinstead of this field. If both of them are provided,productIdwill be used only. -
productCodestringUser-generated custom unique code of the specific product. If
productIdis also provided, it will override this field. -
quantityintegerQuantity of the sold items. It should be a positive integer.
-
itemTaxesarray of stringsA list of the taxes to be applied to the related line item. Provide a list of taxes with their 32-character unique ID.
-
unitPricenumberNet Amount of a single product sold. Should be a positive decimal number with 2 decimal points.
eg. 32.43
-
More parameters
-
referenceNumberstring -
currencystring3-letter currency code. You can find all the available currencies here.
-
projectIdstring32-character unique ID of the related project. If you don't know the ID, you can also provide
projectCodeinstead of this field. If both of them are providedprojectIdwill be used only. -
projectCodestringUser-generated custom code of the related project. If
projectId` is also provided, it will override this field. -
supplierIdstring32-character unique ID of the supplier. If you don't know the ID, you can also provide
supplierCodeinstead of this field. If both of them are provided,supplierIdwill be used only. -
supplierCodestringUser-generated custom unique code of the specific supplier. If
supplierIdis also provided, it will override this field. -
tagsarray of stringsList of the tags that are related to this expense. Provide a list of tags with their 32-character unique ID.
-
exchangeRatenumberIf currency is different than your company's functional currency, this will be the exchange rate that Nuvio will use while converting the amounts of this expense to company's functional currency. Should be number with 4 decimal points.
eg. 32.4325
Returns
The created expense.
-
401 - No usable
Authorization: Bearer {token}header (1002). -
403 - The access token is unknown, or lacks the scope this route needs (1001).